Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class Filter

    java.lang.Object
      com.vordel.circuit.Filter

Direct Known Subclasses:
  VariablePropertiesFilter

    public abstract class Filter

extends java.lang.Object

Implementation of a Filter, backed by an Entity.

Field Summary
`static int` | `CAN_FAIL` Set if the Filter can exit with a false result
`static int` | `CAN_SUCCEED` Set if the Filter can exit with a true result
`Circuit` | `circuit`
`protected java.util.Set<java.lang.String>` | `consumedProperties`
`java.lang.ClassLoader` | `contextLoader`
`static java.util.Set<java.lang.String>` | `EMPTY_SET`
`protected java.util.Set<java.lang.String>` | `generatedProperties`
`protected java.lang.String` | `name`
`protected java.util.Set<java.lang.String>` | `requiredProperties`

Constructor Summary
`Filter()`

Method Summary
`protected void` | `configure(FilterConfigureContext context, Entity entity)` Called to initially configure a filter from the entity store.
`ESPK` | `getCircuitPK()`
`abstract java.lang.Class<? extends FilterContainer>` | `getConfigPanelClass()` Get the Class which must be instantiated to configure the Filter.
`java.util.Set<java.lang.String>` | `getConsumedProperties()`
`Entity` | `getEntity()` Get the underlying Entity which persists the configuration for this Filter
`FilterContainer` | `getFailureNode()` Get the next node to visit, should this Filter fail upon invocation
`protected ESPK` | `getFailureNodePK()` Get the ESPK of the Filter to visit if this Filter fails
`java.util.Set<java.lang.String>` | `getGeneratedProperties()`
`abstract java.lang.Class<? extends MessageProcessor>` | `getMessageProcessorClass()` Get the Class which must be instantiated to process this Filter to implement a MessageProcessor
`java.lang.String` | `getName()` Get the name of the Filter
`int` | `getPossibleOutcomes()` Get the bitmask for the possible outcomes to this Filter's evaluation.
`java.util.Set<java.lang.String>` | `getRequiredProperties()`
`FilterContainer` | `getSuccessNode()` Get the next node to visit, should this Filter succeed upon invocation
`protected ESPK` | `getSuccessNodePK()` Get the ESPK of the Filter to visit if this Filter succeeds
`void` | `reconfigure(FilterConfigureContext ctx, Entity entity)`
`void` | `setCircuitPK(ESPK circuitPK)`
`protected void` | `setDefaultProperties()` There are no global default properties.
`void` | `setEntity(Entity entity)`
`protected void` | `setFailureNode(FilterContainer fc)`
`void` | `setName(java.lang.String name)`
`void` | `setShouldAbortProcessingOnLogError(boolean _abort)`
`protected void` | `setSuccessNode(FilterContainer fc)`
`boolean` | `shouldAbortProcessingOnLogError()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_SET

    public static java.util.Set<java.lang.String> EMPTY_SET

### CAN_SUCCEED

    public static final int CAN_SUCCEED

  Set if the Filter can exit with a true result

  See Also:
    Constant Field Values

### CAN_FAIL

    public static final int CAN_FAIL

  Set if the Filter can exit with a false result

  See Also:
    Constant Field Values

### circuit

    public Circuit circuit

### requiredProperties

    protected java.util.Set<java.lang.String> requiredProperties

### generatedProperties

    protected java.util.Set<java.lang.String> generatedProperties

### consumedProperties

    protected java.util.Set<java.lang.String> consumedProperties

### name

    protected java.lang.String name

### contextLoader

    public java.lang.ClassLoader contextLoader

Constructor Detail

### Filter

    public Filter()

Method Detail

### getGeneratedProperties

    public java.util.Set<java.lang.String> getGeneratedProperties()

### getConsumedProperties

    public java.util.Set<java.lang.String> getConsumedProperties()

### getRequiredProperties

    public java.util.Set<java.lang.String> getRequiredProperties()

### getPossibleOutcomes

    public int getPossibleOutcomes()

  Get the bitmask for the possible outcomes to this Filter's evaluation. Override this method if the Filter has a restricted set of possible outcomes to its evaluation.

  Returns:
    A bitmask, made up of the possible values CAN_SUCCEED, CAN_FAIL

### getMessageProcessorClass

    public abstract java.lang.Class<? extends MessageProcessor> getMessageProcessorClass()
                                                                                  throws java.lang.ClassNotFoundException

  Get the Class which must be instantiated to process this Filter to implement a MessageProcessor

  Returns:
    The Class to be instantiated. Should never be null.
  Throws:
    `java.lang.ClassNotFoundException` - If the class is unavailable

### getConfigPanelClass

    public abstract java.lang.Class<? extends FilterContainer> getConfigPanelClass()
                                                                            throws java.lang.ClassNotFoundException

  Get the Class which must be instantiated to configure the Filter.

  Returns:
    The Class to be instantiated. Should never be null.
  Throws:
    `java.lang.ClassNotFoundException` - If the class is unavailable

### getSuccessNode

    public FilterContainer getSuccessNode()

  Get the next node to visit, should this Filter succeed upon invocation

  Returns:
    a FilterContainer which holds on to the success node, or null if it's not set.

### getFailureNode

    public FilterContainer getFailureNode()

  Get the next node to visit, should this Filter fail upon invocation

  Returns:
    a FilterContainer which holds on to the failure node, or null if it's not set.

### getEntity

    public Entity getEntity()

  Get the underlying Entity which persists the configuration for this Filter

  Returns:
    The Entity

### getName

    public java.lang.String getName()

  Get the name of the Filter

  Returns:
    The name of the Filter

### setName

    public void setName(java.lang.String name)

### getSuccessNodePK

    protected ESPK getSuccessNodePK()

  Get the ESPK of the Filter to visit if this Filter succeeds

  Returns:
    The ESPK of the next node on the success path.

### shouldAbortProcessingOnLogError

    public boolean shouldAbortProcessingOnLogError()

### setShouldAbortProcessingOnLogError

    public void setShouldAbortProcessingOnLogError(boolean _abort)

### getFailureNodePK

    protected ESPK getFailureNodePK()

  Get the ESPK of the Filter to visit if this Filter fails

  Returns:
    The ESPK of the next node on the failure path.

### setSuccessNode

    protected void setSuccessNode(FilterContainer fc)

### setFailureNode

    protected void setFailureNode(FilterContainer fc)

### configure

    protected void configure(FilterConfigureContext context,
                             Entity entity)
                      throws EntityStoreException

  Called to initially configure a filter from the entity store. Subclasses should override, and invoke super.configure() before returning.

  Parameters:
    `context` -
    `entity` -
  Throws:
    `EntityStoreException`

### reconfigure

    public void reconfigure(FilterConfigureContext ctx,
                            Entity entity)
                     throws EntityStoreException

  Throws:
    `EntityStoreException`

### setEntity

    public void setEntity(Entity entity)

### getCircuitPK

    public ESPK getCircuitPK()

### setCircuitPK

    public void setCircuitPK(ESPK circuitPK)

### setDefaultProperties

    protected void setDefaultProperties()

  There are no global default properties. Override this method to set default properties for a given type of filter.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel